Subject: Re: emacs/21.2 on cygwin/1.3.13-2 or 1.3.18-1, slow startup up with -q
From: [email-masked]
To: "Richard H. Broberg" <[email-masked]>
Cc: [email-masked]
Date: Fri, 7 Mar 2003 14:30:22 +0100

Emacs Makes Computers Slower.

Offtopic, I know, but I could not resist.

Btw. I only just started using emacs, what you are
saying is that it can startup faster ? I thought that
was default behaviour.

Jurgen

"Richard H. Broberg" <[email-masked]>
Sent by: 
[email-masked]
03/07/2003 02:28 PM

        To:     [email-masked]
        cc:     (bcc: Jurgen Defurne/BRG/CE/PHILIPS)
        Subject:        emacs/21.2 on cygwin/1.3.13-2 or 1.3.18-1, slow startup up with -q
        Classification: 

I noticed that the emacs/21.2 built with both the 1.3.13-2 and
the 1.3.18-1 (2 distributions I have on 2 different machines)
is built in a funny way: a whole ton of stuff is loaded up
at startup due to 'loadup.el' being loaded, even when I start with
'emacs -q'.  I have a script which runs emacs in batch mode
(emacs --batch -q ...) and, although it works properly in this
environment, takes about 6 seconds to start up, due to loading
so much lisp.

Normally, starting emacs with the '-q' option is supposed to
suppress most of the default loading behavior.  I suspect that
either when emacs was built it was dumped with a site file which
pre-loaded much stuff, or somehow the '-q' option isn't being
honored properly.  The slowness occurs even when not in
batch mode, so it's probably not an interaction issue.

I use emacs/21.2 on 2 different platforms (solaris and native
win32) and it does not exhibit this behavior, so I don't think 
it's a "strictly emacs" problem.

Is this a known issue for the cygwin-built emacs/21.2?

I can rebuild emacs myself to work around this problem (assuming
that it's the site lisp issue); however, if I run the cygwin
setup.exe and pull down a new emacs it will overwrite mine 
(unless I put mine somewhere else); I think that the emacs 
distributed should be capable of starting in '-q' mode without 
loading the kitchen sink by default.

Here is the output I get from running 'emacs --batch -q' on cygwin:

Administrator@RHBPC /cygdrive/i
$ time emacs --batch -q
Loading loadup.el (source)...
Using load-path (/usr/share/emacs/21.2/site-lisp 
/usr/share/emacs/site-lisp /usr/share/emacs/21.2/leim 
/usr/share/emacs/21.2/lisp)
Loading byte-run...
Loading subr...
Loading version.el (source)...
Loading widget...
Loading custom...
Loading emacs-lisp/backquote...
Loading map-ynp...
Loading env...
Loading cus-start (source)...
Loading international/mule...
Loading international/mule-conf.el (source)...
Loading format...
Loading bindings...
Loading simple...
Loading files...
Lists of integers (garbage collection statistics) are normal output
while building Emacs; they do not indicate a problem.
((7096 . 6011) (3777 . 0) (485 . 3) 14939 21356 (3 . 0) (16 . 0) (695 . 
1636))
Loading loaddefs.el (source)...
((18278 . 14382) (5696 . 0) (495 . 6) 32253 21356 (5 . 0) (16 . 0) (2577 . 
2085))
Loading help...
Loading international/mule-cmds...
Loading case-table...
Loading international/characters...
Loading international/utf-8...
Loading international/latin-1 (source)...
Loading international/latin-2 (source)...
Loading international/latin-3 (source)...
Loading international/latin-4 (source)...
Loading international/latin-5 (source)...
Loading international/latin-8 (source)...
Loading international/latin-9 (source)...
Loading language/chinese...
Loading language/cyrillic...
Loading language/indian...
Loading language/devanagari...
Loading language/english...
Loading language/ethiopic...
Loading language/european...
Loading language/czech...
Loading language/slovak...
Loading language/romanian...
Loading language/greek...
Loading language/hebrew...
Loading language/japanese...
Loading language/korean...
Loading language/lao...
Loading language/thai...
Loading language/tibetan...
Loading language/vietnamese...
Loading language/misc-lang...
Loading indent...
Loading window...
Loading frame...
Loading term/tty-colors...
Loading faces...
Loading facemenu...
Loading mouse...
Loading scroll-bar...
Loading select...
Loading isearch...
((35793 . 5267) (7475 . 0) (507 . 46) 63850 83178 (14 . 3) (21 . 0) (6763 
. 1175))
Loading menu-bar...
Loading paths.el (source)...
Loading startup...
Loading emacs-lisp/lisp...
Loading textmodes/page...
Loading register...
Loading textmodes/paragraphs...
Loading emacs-lisp/lisp-mode...
Loading textmodes/text-mode...
Loading textmodes/fill...
((40777 . 4598) (7978 . 0) (510 . 43) 73738 104856 (14 . 3) (21 . 0) (7152 
. 1542))
Loading replace...
Loading abbrev...
Loading buff-menu...
Loading float-sup...
((41131 . 4244) (8143 . 0) (510 . 43) 73769 105691 (14 . 9) (21 . 0) (7156 
. 1412))
Loading vc-hooks...
Loading ediff-hook...
((42083 . 3292) (8227 . 0) (511 . 42) 74665 105708 (14 . 9) (21 . 0) (7215 
. 1353))
Finding pointers to doc strings...
Finding pointers to doc strings...done

real    0m5.503s
user    0m1.234s
sys     0m3.311s

Administrator@RHBPC /cygdrive/i
$
------

Here is the output I get when running 'emacs --batch -q' (emacs/21.2) on
solaris/8:

slacker :junk % time emacs --batch -q
0.06u 0.07s 0:00.22 59.0%
slacker :junk %

------

(and my win32 box is a faster box than my solaris box!)

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/